'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**
 * Menu item for navigation menu
 * @param {*} props
 */
function LeftNavMenuItem(props) {
  var iconContainerActiveClass = props.active ? 'icon_container-active' : 'icon_container-inactive';
  var iconActiveClass = props.active ? 'active-icon' : '';
  return _react2['default'].createElement(
    'li',
    { className: 'nav__item', onClick: props.onClick },
    props.active ? _react2['default'].createElement('div', { className: 'nav_border--active' }) : null,
    _react2['default'].createElement(
      'div',
      { className: 'icon_container ' + iconContainerActiveClass },
      props.image ? _react2['default'].createElement('img', { className: 'icon_nav ' + iconActiveClass, src: props.image }) : null,
      props.children
    )
  );
}

LeftNavMenuItem.defaultProps = {
  active: false,
  image: ''
};

LeftNavMenuItem.propTypes = {
  active: _propTypes2['default'].bool,
  /** image URI */
  image: _propTypes2['default'].string
};

exports['default'] = LeftNavMenuItem;
module.exports = exports['default'];
//# sourceMappingURL=LeftNavMenuItem.js.map